## com.google.appengine.api.xmpp
Class PresenceBuilder

    java.lang.Object
      com.google.appengine.api.xmpp.PresenceBuilder

    public class PresenceBuilder

extends java.lang.Object

Builder used to generate `Presence` instances to represent incoming XMPP presence stanzas.

Constructor Summary
`PresenceBuilder()`

Method Summary
`Presence` `build()`
`PresenceBuilder` `withFromJid(JID fromJid)`
`PresenceBuilder` `withPresenceShow(PresenceShow presenceShow)`
`PresenceBuilder` `withPresenceType(PresenceType presenceType)`
`PresenceBuilder` `withStatus(java.lang.String status)`
`PresenceBuilder` `withToJid(JID toJid)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PresenceBuilder

    public PresenceBuilder()

Method Detail

### withPresenceType

    public PresenceBuilder withPresenceType(PresenceType presenceType)

### withPresenceShow

    public PresenceBuilder withPresenceShow(PresenceShow presenceShow)

### withStatus

    public PresenceBuilder withStatus(java.lang.String status)

### withFromJid

    public PresenceBuilder withFromJid(JID fromJid)

### withToJid

    public PresenceBuilder withToJid(JID toJid)

### build

    public Presence build()